<template>
    <div id="login">
        <div id="wrap">
            <div id="header"><!-- #header --></div>

            <div id="contents">
                <div class="inner">
                    <!--#contents -->
                    <div class="login-box">
                        <div class="box-contents" style="position: relative;">
                                <!-- <img class="logo-img" src="img/logophama.png" alt="Logo"/> -->
                        
                                <div class="test-photo"
                                    style="  position: relative;height: 172px; background: #b5884d;width: fit-content; left: 35%;">
                                    
                                    <div class="logo-ph" style="position: absolute;">
                                        <img alt="healthbook" height="164"
                                            style="width:161px; height: 158px; margin-bottom: 20px;" src="img/logo_ph.png"
                                            width="240">
                                    </div>
                                    <div class="back-pharma" style="position: absolute; top: 30px; left: 28px;">
                                        <img style="height: 100px; margin-left:0.5rem" src="img/logophama.png" alt="">
                                    </div>
                                </div>
                            
                            <div style="margin:0;padding:0;display:inline"><input autocomplete="off" name="utf8" type="hidden" value="✓"><input autocomplete="off"
                                    name="authenticity_token" type="hidden"></div>
                            <dl>
                                <dt>
                                    <p style="font-size: 16px;">{{ i18ntext.lngText('username') }}</p>
                                </dt>
                                <dd><input autocomplete="off" class="beha code text" id="user_name" name="user_name" v-model="user.user_name"
                                        size="20" type="text" tabindex="10000" />
                                </dd>
                                <dt>
                                    <p style="font-size: 16px;">{{ i18ntext.lngText("password") }}</p>
                                </dt>
                                <dd><input autocomplete="off" class="beha password" id="password" name="password" size="20" type="password" @keyup.enter="login()"
                                        v-model="user.password" tabindex="10001"></dd>
                            </dl>
                            <div class="buttons" @click="login()">
                                <div style="display: flex;justify-content: center;" class="logo-pharma">
                                    <img v-if="language === 'ខ្មែរ'" style="height:45px; cursor: pointer;"  src="img/loginicon-kh.png" alt="login" title="login button"/> 
                                    <img v-else style="height: 45px; cursor: pointer;" src="img/login_icon.png" alt="" title="login button" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="buttons">
                        <span id="for" @click="forgot()">{{ i18ntext.lngText("forgotpassword") }}</span>
                    </div>
                </div>
            </div>
        </div>
        <div id="footer">
            <div id="copyright">Copyright (C) healthbook. ALL Right s Researved Edit by Lsky</div>
        </div>
    </div>
    <div class="modal fade ui-modal" id="itemnoteqaul" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="clearconfirm" aria-hidden="true">
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{ i18ntext.lngText('login_message') }}</span>
          </h5>
          <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body"><span style="color: brown; padding: auto;">{{ massege }}</span></div>
          <div class="modal-footer">
            <div class="button type2" data-bs-dismiss="modal">
              <span>{{ i18ntext.lngText('yes') }}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="forgot" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="clearconfirm" aria-hidden="true">
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{ i18ntext.lngText("forgotpassword") }}</span>
          </h5>
          <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">
            <span style="display: flex;justify-content: center;">{{ i18ntext.lngText('pleasecontact') }}</span>
            <div style="display: flex;justify-content: space-between;">
                <span><span style="color: brown;font-weight: 500;font-size: 15px;">{{ i18ntext.lngText("tel") }}</span> : +855 16 587 062</span>
                <span><span style="color: brown;font-weight: 500;font-size: 15px;">{{ i18ntext.lngText("email") }}</span> : info@lsky-cambo.com</span>
            </div>
           </div>
          <div class="modal-footer" style="padding: 23px;">
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import { log } from 'mathjs';
import Auth from '../../auth/Auth.js';
import i18n from '../../i18n/i18n';
export default {
    data() {
        return {
            i18ntext: i18n,
            massege:"",
            user: {
                user_name: '',
                password: '',
            },
            language :window.localStorage.getItem('leg')
        };
    },
    mounted() {
        if (Auth.check()) {
            this.$router.push('/pos');
        }
       
    },
    methods: {
       async login() {
            axios.post('/api/v1/login', this.user)
                .then(({ data }) => {
                    this.massege = "Login successfully."
                    Auth.login(data.token, data.user,data.permission.permission)
                    this.$router.push('pos')
                })
                .catch((error) => {
                    $('#itemnoteqaul').modal('show')
                    if(error.response.status==401){
                        this.massege = "Please check user and password!"
                    }else if(error.response.status==422){
                        this.massege = "Please input user and password!"
                    }else{
                        this.massege = "please cheak your internet and database!"
                    }
                });
        },
        forgot(){
            $('#forgot').modal('show')
        },
    }
}
</script>
